# # Interface: LineElement<T, O>

## # Type parameters

Name | Type
--- | ---
`T` | extends `LineProps` = `LineProps`
`O` | extends `LineOptions` = `LineOptions`

## # Hierarchy

- `Element`<`T`, `O`>

- `VisualElement`

  ↳ `LineElement`

## # Properties

### # active

• `Readonly` active: `boolean`

#### # Inherited from

Element.active

#### # Defined in

element.d.ts:7
(opens new window)

### # options

• `Readonly` options: `O`

#### # Inherited from

Element.options

#### # Defined in

element.d.ts:8
(opens new window)

### # points

• points: `Point`[]

#### # Defined in

index.esm.d.ts:1846
(opens new window)

### # segments

• `Readonly` segments: `Segment`[]

#### # Defined in

index.esm.d.ts:1847
(opens new window)

### # x

• `Readonly` x: `number`

#### # Inherited from

Element.x

#### # Defined in

element.d.ts:5
(opens new window)

### # y

• `Readonly` y: `number`

#### # Inherited from

Element.y

#### # Defined in

element.d.ts:6
(opens new window)

## # Methods

### # draw

▸ draw(`ctx`, `area?`): `void`

#### # Parameters

Name | Type
--- | ---
`ctx` | `CanvasRenderingContext2D`
`area?` | `ChartArea`

#### # Returns

`void`

#### # Inherited from

VisualElement.draw

#### # Defined in

index.esm.d.ts:1685
(opens new window)

### # first

▸ first(): `false` | `Point`

#### # Returns

`false` | `Point`

#### # Defined in

index.esm.d.ts:1848
(opens new window)

### # getCenterPoint

▸ getCenterPoint(`useFinalPosition?`): `Object`

#### # Parameters

Name | Type
--- | ---
`useFinalPosition?` | `boolean`

#### # Returns

`Object`

Name | Type
--- | ---
`x` | `number`
`y` | `number`

#### # Inherited from

VisualElement.getCenterPoint

#### # Defined in

index.esm.d.ts:1689
(opens new window)

### # getProps

▸ getProps<`P`>(`props`, `final?`): `Pick`<`T`, `P`[`number`]>

#### # Type parameters

Name | Type
--- | ---
`P` | extends keyof `T`[]

#### # Parameters

Name | Type
--- | ---
`props` | `P`
`final?` | `boolean`

#### # Returns

`Pick`<`T`, `P`[`number`]>

#### # Inherited from

Element.getProps

#### # Defined in

element.d.ts:12
(opens new window)

### # getRange

▸ `Optional` getRange(`axis`): `number`

#### # Parameters

Name | Type
--- | ---
`axis` | `"x"` | `"y"`

#### # Returns

`number`

#### # Inherited from

VisualElement.getRange

#### # Defined in

index.esm.d.ts:1690
(opens new window)

### # hasValue

▸ hasValue(): `boolean`

#### # Returns

`boolean`

#### # Inherited from

Element.hasValue

#### # Defined in

element.d.ts:11
(opens new window)

### # inRange

▸ inRange(`mouseX`, `mouseY`, `useFinalPosition?`): `boolean`

#### # Parameters

Name | Type
--- | ---
`mouseX` | `number`
`mouseY` | `number`
`useFinalPosition?` | `boolean`

#### # Returns

`boolean`

#### # Inherited from

VisualElement.inRange

#### # Defined in

index.esm.d.ts:1686
(opens new window)

### # inXRange

▸ inXRange(`mouseX`, `useFinalPosition?`): `boolean`

#### # Parameters

Name | Type
--- | ---
`mouseX` | `number`
`useFinalPosition?` | `boolean`

#### # Returns

`boolean`

#### # Inherited from

VisualElement.inXRange

#### # Defined in

index.esm.d.ts:1687
(opens new window)

### # inYRange

▸ inYRange(`mouseY`, `useFinalPosition?`): `boolean`

#### # Parameters

Name | Type
--- | ---
`mouseY` | `number`
`useFinalPosition?` | `boolean`

#### # Returns

`boolean`

#### # Inherited from

VisualElement.inYRange

#### # Defined in

index.esm.d.ts:1688
(opens new window)

### # interpolate

▸ interpolate(`point`, `property`): `Point` | `Point`[]

#### # Parameters

Name | Type
--- | ---
`point` | `Point`
`property` | `"x"` | `"y"`

#### # Returns

`Point` | `Point`[]

#### # Defined in

index.esm.d.ts:1850
(opens new window)

### # last

▸ last(): `false` | `Point`

#### # Returns

`false` | `Point`

#### # Defined in

index.esm.d.ts:1849
(opens new window)

### # path

▸ path(`ctx`): `boolean`

#### # Parameters

Name | Type
--- | ---
`ctx` | `CanvasRenderingContext2D`

#### # Returns

`boolean`

#### # Defined in

index.esm.d.ts:1852
(opens new window)

### # pathSegment

▸ pathSegment(`ctx`, `segment`, `params`): `boolean`

#### # Parameters

Name | Type
--- | ---
`ctx` | `CanvasRenderingContext2D`
`segment` | `Segment`
`params` | `AnyObject`

#### # Returns

`boolean`

#### # Defined in

index.esm.d.ts:1851
(opens new window)

### # tooltipPosition

▸ tooltipPosition(`useFinalPosition?`): `Point`

#### # Parameters

Name | Type
--- | ---
`useFinalPosition?` | `boolean`

#### # Returns

`Point`

#### # Inherited from

Element.tooltipPosition

#### # Defined in

element.d.ts:10
(opens new window)

### # updateControlPoints

▸ updateControlPoints(`chartArea`, `indexAxis?`): `void`

#### # Parameters

Name | Type
--- | ---
`chartArea` | `ChartArea`
`indexAxis?` | `"x"` | `"y"`

#### # Returns

`void`

#### # Defined in

index.esm.d.ts:1845
(opens new window)